<?

node_class("checkboxcomponent");
node_class("itemlistcomponent");
node_class("itemlist3");
node_class("arraydatasource");

class CNFolderPublisherComponent extends CollectionComponent {

 function CNFolderPublisherComponent($publishers = array(), $useWorkflow = 0) {
 
 parent::CollectionComponent();

 $this->useWorkflow = $useWorkflow;
 
 $ds = new ArrayDataSource($publishers, array("icon"=>"", "name"=>i18n("Name")));
 
 $itemlist = new ItemList3("wfpub", $ds);

 $sel = new ItemListComponent( i18n("Workflow Publishers"), $itemlist );
 $sel->setWidth( "200px" );

 $this->setComponent( "pub", $sel );
 $this->setComponent( "usewf", new CheckboxComponent(i18n("Use Workflow for Subfolders"), $useWorkflow == 2, "", 1, true) );
 }

 function getPublisherList() {
 $sel =& $this->getComponent("pub");
 $ds =& $sel->getDatasource();
 return $ds->getItems();
 }

 function doUseWorkflow() {
 $list = $this->getPublisherList();
 if (count($list) == 0) return 0;
 
 $c =& $this->getComponent("usewf");
 return $c->isChecked() ? 2 : 1;
 }

 
 function getHTML( &$form, $prefix, $doCheck, $checkSeverity, $key ) {
 $html = parent::getHTML( $form, $prefix, $doCheck, $checkSeverity, $key );
 $htmlAdd = $this->_getComponentHTML( $this->getComponents(), $form, $prefix, $doCheck, $checkSeverity, $key );
 return $this->mergeResult($html,$htmlAdd);
 }

}

?>
