<?

function get_page_by_contentgroup($id, $contentgroup_id) {

 global $FEATURE, $USER_ID, $T_FOLDER, $T_PAGE;

 
 $pageinfo = get_pageinfo($id);
 $cs = $pageinfo["contentset_id"];
 $folder = get_folderinfo($pageinfo["folder_id"]);
 $cg = get_contentgroups($folder["node_id"]);

 
 node_include("perm");
 $editable = perm($USER_ID, $T_FOLDER, $pageinfo["folder_id"], 12, $contentgroup_id, $T_PAGE, 15);

 if ($cs == 0 && $editable) {
 $cs = cmd_page_createcs();
 $sql = "UPDATE page SET contentset_id = ".sqlf_tl_num($cs)." WHERE id = ".sqlf_tl_num($id);
 query($sql);
 $pageinfo = get_pageinfo($id);
 
 } else if ($cs == 0) {
 
 return $id;
 }

 
 $sql = "SELECT id FROM page WHERE contentset_id = ".sqlf_tl_num($cs)." AND contentgroup_id = ".sqlf_tl_num($contentgroup_id);
 $rs = query($sql);

 
 if ($rs["num"] == 1) {
 return $rs["arr"][0]["id"];
 }
 
 if (!$editable) {
 
 $sql = "SELECT page.id, page.contentgroup_id FROM page, folder, node_contentgroup WHERE page.contentset_id = ".sqlf_tl_num($cs)." 
		  AND folder.id = page.folder_id AND node_contentgroup.node_id = folder.node_id 
		  AND node_contentgroup.contentgroup_id = page.contentgroup_id 
		  ORDER BY node_contentgroup.sortorder";
 $rs = query($sql);
 
 if ($rs["num"] == 0) {
 return $id;
 } else {
 
 return $rs["arr"][0]["id"];
 }
 }
 
 
 if ($rs["num"] == 0) {
 
 if ($pageinfo["contentgroup_id"] == 0) {
 $sql = "UPDATE page SET contentgroup_id = ".sqlf_tl_num($contentgroup_id)." WHERE id = ".sqlf_tl_num($id);
 query($sql);
 $loadpage_id = $id;

 
 } else {
 
 if($FEATURE["contentgroup3_pagefilename"]) {
 
 
 
 if (!$FEATURE["contentgroup3_pagefilename_no_pagename"]) {
 if (ereg("\[.{1,5}\]", $pageinfo['name'])) {
 $pagename = ereg_replace('\[.{1,5}\]','['.$cg[$contentgroup_id]['code'].']',$pageinfo['name']);
 } else {
 $pagename = $pageinfo['name'].' ['.$cg[$contentgroup_id]['code'].']';
 }
 }
 
 
 $fname_elements = explode(".", $pageinfo["filename"]);
 
 $ext = $fname_elements[count($fname_elements)-1];
 
 $lang_code_pos = 0;
 $fname_parts = count($fname_elements);
 
 $cg_code = $cg[$pageinfo["contentgroup_id"]]["code"];
 if (!$cg_code) {
 
 $sql = "select code from contentgroup where id = '".sqlf_escaped($pageinfo["contentgroup_id"])."'";
 $rs = query($sql);
 $cg_code = $rs['arr'][0]['code'];
 }
 if($fname_elements[$fname_parts-2] == $cg_code)
 $lang_code_pos = $fname_parts-2;
 
 if($lang_code_pos>0) $namebase = implode(".", array_slice($fname_elements, 0, $lang_code_pos));
 
 else if(!$FEATURE["contentgroup3_pagefilename_no_apachefilename"]) 
 $namebase = implode(".", array_slice($fname_elements, 0, $fname_parts - 1));
 
 else $namebase = implode(".", array_slice($fname_elements, 0, $fname_parts ));
 $filename = really_unique_page_filename($namebase, $ext, $cg[$contentgroup_id]['code'], $pageinfo['folder_id']); 
 }

 
 
 node_include("contentgroup");
 $content_id = get_contentId_for_contentset($pageinfo["contentset_id"], $contentgroup_id);
 $loadpage_id = page_copy($id,$pageinfo['folder_id'],false,$pagename,$filename,$pageinfo['contentset_id'], true, $content_id,$contentgroup_id, $id, $pageinfo["channel_id"]);
 }

 if ($FEATURE["javaparser"]) {
 $javaParser =& CodeParser::getJavaParser();
 if ($pageinfo["contentset_id"] != 0) {
 
 $sql = "SELECT id FROM page WHERE contentset_id = ".sqlf_tl_num($pageinfo["contentset_id"]);
 $rs = query($sql, true);
 $pids = reduce_array($rs["arr"], 'id', 'id');
 
 while (list($id,$val) = each($pids)) {
 $javaParser->clearCache($T_PAGE, $id);
 }
 } else {
 $javaParser->clearCache($T_PAGE, $pageinfo['id']);
 }
 }

 } else halt(101,"get_page_by_contentgroup: too many pages for cg($contentgroup_id) cs($cs): num(".$rs["num"].")");

 return $loadpage_id;
}

?>
